Gatana logoGatana Docs
RoutesSkill collections

/skill-collections

List the skill collections the caller can see, each with how many of its skills the caller can read

GET
/skill-collections
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/skill-collections"
{
  "collections": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "visibility": "organization",
      "createdByUserId": "string",
      "createdByUserName": "string",
      "createdByUserEmail": "string",
      "sharedWithUserIds": [
        "string"
      ],
      "sharedWithTeamIds": [
        "string"
      ],
      "maintainerUserIds": [
        "string"
      ],
      "maintainerTeamIds": [
        "string"
      ],
      "skillCount": 0,
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}